XtAddCallback(3Xt)

NAME
XtAddCallback, XtAddCallbacks, XtRemoveCallback, XtRemoveCallbacks, XtRemoveAllCallbacks - add and remove callback procedures

SYNTAX

void XtAddCallback(Widget w, String callback_name, XtCallbackProc callback, XtPointer client_data);

void XtAddCallbacks(Widget w, String callback_name, XtCallbackList callbacks);

void XtRemoveCallback(Widget w, String callback_name, XtCallbackProc callback, XtPointer client_data);

void XtRemoveCallbacks(Widget w, String callback_name, XtCallbackList callbacks);

void XtRemoveAllCallbacks(Widget w, String callback_name,

ARGUMENTS

callback
    Specifies the callback procedure.

callbacks
    Specifies the null-terminated list of callback procedures and corresponding client data.

callback_name
    Specifies the callback list to which the procedure is to be appended or deleted. or the client data to match on the registered callback procedures

client_data
    Specifies the argument that is to be passed to the specified procedure when it is invoked by XtCallbacks or NULL,.

w   Specifies the widget.

DESCRIPTION
The function adds the specified callback procedure to the specified widget's callback list.

The add the specified list of callbacks to the specified widget's callback list.

The function removes a callback only if both the procedure and the client data match.

The function removes the specified callback procedures from the specified widget's callback list.

The function removes all the callback procedures from the specified widget's callback list.

SEE ALSO
XtCallCallbacks(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface